Skip to main content
GET
List a GitHub credential's installation activity

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null
x-ankra-organisation-id
string | null

Path Parameters

credential_id
string<uuid>
required

Query Parameters

limit
integer
default:50
Required range: 1 <= x <= 200
before_received_at
string<date-time>
before_id
string<uuid>

Response

Activity listed

events
object[]
required
next_before_received_at
string<date-time> | null
required

Pass as before_received_at, with next_before_id as before_id, to read the next page; null on the last page.

next_before_id
string<uuid> | null
required